Bug 1420246 (CVE-2017-5937)

Summary: CVE-2017-5937 virglrenderer: null pointer dereference in vrend_clear
Product: [Other] Security Response Reporter: Prasad Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: airlied, marcandre.lureau
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:07:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1420249    
Bug Blocks: 1410531    

Description Prasad Pandit 2017-02-08 09:46:50 UTC
Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support
for the virtio GPU, is vulnerable to a null pointer dereference issue. It
could occur when a guest invokes a virgl 'VIRGL_CCMD_CLEAR' command.

A guest user/process could use this flaw to crash Qemu process resulting in DoS.

Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=48f67f60967f963b698ec8df57ec6912a43d6282

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/08/5

Comment 1 Prasad Pandit 2017-02-08 09:47:01 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad Pandit 2017-02-08 09:47:25 UTC
Created virglrenderer tracking bugs for this issue:

Affects: fedora-all [bug 1420249]

Comment 3 Andrej Nemec 2017-02-09 12:57:03 UTC
CVE assignment:

http://seclists.org/oss-sec/2017/q1/348

Comment 4 Product Security DevOps Team 2019-06-08 03:07:14 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.